Package org.apache.ignite.mxbean

## Interface MetricsMxBean

All Known Implementing Classes:
  `MetricsMxBeanImpl`

    @Deprecated
    @MXBeanDescription("MBean that provides access to Ignite metrics management methods.")
    public interface MetricsMxBean

Deprecated.
Use managements API beans, instead.
Metrics MXBean interface.

See Also:
  `CommandMBean`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `configureHistogramMetric​(String name, long[] bounds)` Deprecated. Change `HistogramMetric` configuration.
`void` `configureHitRateMetric​(String name, long rateTimeInterval)` Deprecated. Change `HitRateMetric` configuration.
`void` `resetMetrics​(String registry)` Deprecated. Resets metrics for of a given registry.

### Method Detail

#### resetMetrics

    @MXBeanDescription("Resets metrics of a given registry.")
    void resetMetrics​(@MXBeanParameter(name="registry",description="Metrics registry.")
                      String registry)

Deprecated.
Resets metrics for of a given registry.

Parameters:
  `registry` - Metrics registry name.

#### configureHitRateMetric

    @MXBeanDescription("Configure hitrate metric.")
    void configureHitRateMetric​(@MXBeanParameter(name="name",description="Metric name.")
                                String name,
                                @MXBeanParameter(name="cfg",description="New rate time interval.")
                                long rateTimeInterval)
                         throws IgniteException

Deprecated.
Change `HitRateMetric` configuration. Call of this method will change metric configuration across all cluster nodes.

Parameters:
  `name` - Metric name.
  `rateTimeInterval` - New rate time interval.
Throws:
  `IgniteException` - If some error occured.

#### configureHistogramMetric

    @MXBeanDescription("Configure histogram metric.")
    void configureHistogramMetric​(@MXBeanParameter(name="name",description="Metric name.")
                                  String name,
                                  @MXBeanParameter(name="cfg",description="New bounds.")
                                  long[] bounds)
                           throws IgniteException

Deprecated.
Change `HistogramMetric` configuration. Call of this method will change metric configuration across all cluster nodes.

Parameters:
  `name` - Metric name.
  `bounds` - New bounds.
Throws:
  `IgniteException` - If some error occured.